set -U -x EDITOR vim
set -U -x MPD_HOST 172.19.138.20
set -U fish_features stderr-nocaret qmark-noglob
set PATH /home/kunsi/.local/bin /home/kunsi/.gem/ruby/2.6.0/bin/ $PATH

alias config='/usr/bin/git --git-dir=$HOME/.cfg/ --work-tree=$HOME'
alias weechat='mosh ex42-1048908 -- tmux attach-session -d -t ex42'
alias voc-ansible='/home/kunsi/.bin/voc-ansible'
alias share-via-ssh='/home/kunsi/git/share-via-ssh/share-via-ssh'

alias bwr='cd ~/git/bundlewrap/'
alias v='vim -p'
alias gm='git checkout main && git pull --all'
alias gs='git status --short'
alias gd='git diff'
alias gdc='git diff --cached'
alias hist='git log --pretty --oneline'
alias l='ls -lAh'

alias lumos='mosquitto_pub -h 172.19.138.20 -t /switch/wohnzimmer/stehlampe/cmnd/POWER -m "ON"'
alias nox='mosquitto_pub -h 172.19.138.20 -t /switch/wohnzimmer/stehlampe/cmnd/POWER -m "OFF"'

alias rx300='ipmitool -H 172.19.138.25 -U admin -P admin'

function fish_greeting
    uptime
end
